UnixNumericGroupPrincipal (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth, class: UnixNumericGroupPrincipal
Keywords: com.sun.security.auth.UnixNumericGroupPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

# Class UnixNumericGroupPrincipal

java.lang.Object
com.sun.security.auth.UnixNumericGroupPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

    public class UnixNumericGroupPrincipal
    extends Object
    implements Principal, Serializable

This class implements the `Principal` interface and represents a user's Unix group identification number (GID).

Principals such as this `UnixNumericGroupPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

See Also:
  `Principal`, `Subject`, Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnixNumericGroupPrincipal​(long name, boolean primaryGroup)` | Create a `UnixNumericGroupPrincipal` using a long representation of the user's group identification number (GID).
  `UnixNumericGroupPrincipal​(String name, boolean primaryGroup)` | Create a `UnixNumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object o)` | Compares the specified Object with this `UnixNumericGroupPrincipal` for equality.
  `String` | `getName()` | Return the user's group identification number (GID) for this `UnixNumericGroupPrincipal`.
  `int` | `hashCode()` | Return a hash code for this `UnixNumericGroupPrincipal`.
  `boolean` | `isPrimaryGroup()` | Return whether this group identification number (GID) represents the primary group to which this user belongs.
  `long` | `longValue()` | Return the user's group identification number (GID) for this `UnixNumericGroupPrincipal` as a long.
  `String` | `toString()` | Return a string representation of this `UnixNumericGroupPrincipal`.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### UnixNumericGroupPrincipal

    public UnixNumericGroupPrincipal​(String name, boolean primaryGroup)
    Create a `UnixNumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).
    Parameters:
      `name` - the user's group identification number (GID) for this user.
      `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.
    Throws:
      `NullPointerException` - if the `name` is `null`.

  - ### UnixNumericGroupPrincipal

    public UnixNumericGroupPrincipal​(long name, boolean primaryGroup)
    Create a `UnixNumericGroupPrincipal` using a long representation of the user's group identification number (GID).
    Parameters:
      `name` - the user's group identification number (GID) for this user represented as a long.
      `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.

- ## Method Details

  - ### getName

    public String getName()
    Return the user's group identification number (GID) for this `UnixNumericGroupPrincipal`.
    Specified by:
      `getName` in interface `Principal`
    Returns:
      the user's group identification number (GID) for this `UnixNumericGroupPrincipal`

  - ### longValue

    public long longValue()
    Return the user's group identification number (GID) for this `UnixNumericGroupPrincipal` as a long.
    Returns:
      the user's group identification number (GID) for this `UnixNumericGroupPrincipal` as a long.

  - ### isPrimaryGroup

    public boolean isPrimaryGroup()
    Return whether this group identification number (GID) represents the primary group to which this user belongs.
    Returns:
      true if this group identification number (GID) represents the primary group to which this user belongs, or false otherwise.

  - ### toString

    public String toString()
    Return a string representation of this `UnixNumericGroupPrincipal`.
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `UnixNumericGroupPrincipal`.

  - ### equals

    public boolean equals​(Object o)
    Compares the specified Object with this `UnixNumericGroupPrincipal` for equality. Returns true if the given object is also a `UnixNumericGroupPrincipal` and the two UnixNumericGroupPrincipals have the same group identification number (GID).
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Object to be compared for equality with this `UnixNumericGroupPrincipal`.
    Returns:
      true if the specified Object is equal to this `UnixNumericGroupPrincipal`.
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### hashCode

    public int hashCode()
    Return a hash code for this `UnixNumericGroupPrincipal`.
    Specified by:
      `hashCode` in interface `Principal`
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code for this `UnixNumericGroupPrincipal`.
    See Also:
      `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`